petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFormatConvertGetSize

Gets the length of a string needed to hold format converted with PetscFormatConvert()

### Synopsis

    PetscErrorCode PetscFormatConvertGetSize(const char *format,size_t *size)

### Input Parameter

format -the PETSc format string

### Output Parameter

size -the needed length of the new format

### See Also

PetscFormatConvert(), PetscVSNPrintf(), PetscVFPrintf()

### Level

developer

### Location

src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages